#!/bin/sh

# This script restores the kde mimetypes associations into ~/.kde
# where possible (i.e. if the file wasn't removed nor moved).

# Input: /tmp/update-menu-<uid>-kdemimetypes generated by savekdemimetypes.sh

# 06/09/2000: Initial Version. David Faure <david@mandrakesoft.com>

INPUT=/tmp/update-menu-$UID-kdemimetypes
if [ ! -f $INPUT ]; then
  echo "No $INPUT file ! savekdemimetypes.sh wasn't run ! Error !"
  exit 1
fi

if [ -d ~/.kde/share/applnk ]; then
  cd ~/.kde/share/applnk

  find . -type f | while read f; do
    #echo $f

    # Look at what we have for this file in $INPUT
    savedmimetypes=`grep -e"$f:MimeType=" $INPUT | sed -e "s,$f:,," `

    #echo $savedmimetypes

    # Any MimeType line ?
    if [ -n "$savedmimetypes" ]; then
      # Restore the MimeType lineq
      if grep -q -e ^MimeType= "$f" ; then
        perl -pi -e "if (/^MimeType=/) { \$_=\"$savedmimetypes\\n\"; }" "$f"
      else
        echo $savedmimetypes >> "$f"
      fi
    fi

    savedservicetypes=`grep -e"$f:ServiceTypes=" $INPUT  | sed -e "s,$f:,," `

    # Any ServiceTypes line ?
    if [ -n "$savedservicetypes" ] ; then
      # Restore the ServiceTypes line
      if grep -q -e^ServiceTypes= "$f"  ; then
        perl -pi -e "if (/^ServiceTypes=/) { \$_=\"$savedservicetypes\\n\"; }" "$f"
      else
        echo $savedservicetypes >> "$f"
      fi
    fi

  done

fi
rm -f $INPUT

